/*
 * @(#) Log.java 
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Log.java,v 1.8 2003/03/24 13:13:34 jmesnil Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jotm;

import java.util.Vector;

/**
 * Log associated to a transaction
 */
class Log {

    /**
     * Constructor
     */
    public Log() {
        if (TraceTm.jotm.isDebugEnabled()) {
            TraceTm.jotm.debug("Log constructor");
        }
    }

    /**
     * add a Resource to the log
     */
    public void addResource(Resource res) {
    	if (TraceTm.jotm.isDebugEnabled()) {
            TraceTm.jotm.debug("res="+ res);
        }
        ResourceInfo ri = new ResourceInfo(res);
        resourceLogged.addElement(ri);
    }

    /**
     * flush Log with decision about the transaction
     */
    public void flushLog(int decide) {
		if (TraceTm.jotm.isDebugEnabled()) {
            TraceTm.jotm.debug("decide="+ decide);
        }
        decision = decide;

        // XXX serialize log on disk
    }

    /**
     * forget log
     */
    public void forgetLog() {
		if (TraceTm.jotm.isDebugEnabled()) {
            TraceTm.jotm.debug("forget log");
        }

        // XXX remove file on disk
    }

    /**
     * update log
     */
    public void updateLog() {
		if (TraceTm.jotm.isDebugEnabled()) {
            TraceTm.jotm.debug("update log");
        }
        
        // XXX update log
    }

    // Resources registered (Vector of ResourceInfo)
    Vector resourceLogged = new Vector();

    // Decision
    static final int DECISION_TO_COMMIT = 1;
    static final int DECISION_TO_ROLLBACK = 2;
    int decision;

}
