/*
 * @(#) Terminator.java 
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Terminator.java,v 1.4 2003/04/17 14:27:09 jmesnil Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jotm;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * OTS-like Terminator
 * 
 * @see <a href="http://java.sun.com/products/jts/javadoc/org/omg/CosTransactions/Terminator.html">OTS Terminator</a>
 * @author jmesnil
 * @version $Id: Terminator.java,v 1.4 2003/04/17 14:27:09 jmesnil Exp $
 */
public interface Terminator extends Remote {
    
    /**
     * commit the transaction.
     * 
     * @param report_heuristics <code>true</code> to report heuristics, 
     * <code>false</code> else
     * @throws RemoteException if a remote exception occurs
     */
    public void commit(boolean report_heuristics) throws RemoteException;
 
    /**
     * rollback the transaction.
     * 
     * @throws RemoteException if a remote exception occurs
     */
    public void rollback() throws RemoteException;
}

