/*
 * @(#) JTATransactionServiceContext
 *
 * Copyright (C) 2002 - INRIA (www.inria.fr)
 *
 * JOTM: Java Open Transaction Manager
 *
 * This library is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * 
 *
 */
package org.objectweb.jotm.jta.rmi;

// carol import
import org.objectweb.carol.rmi.jrmp.interceptor.JServiceContext;

// JOTM import
import org.objectweb.jotm.TransactionContext;

/**
 * Class <code>JTATransactionServiceContext</code> is a JRMP Class for Transaction
 * Context Propagation
 * 
 * @author  Guillaume Riviere (Guillaume.Riviere@inrialpes.fr)
 */
public class JTATransactionServiceContext extends  JServiceContext {

    /**
     * Transaction Context
     */
    TransactionContext txCtx = null;

    /**
     * constructor
     * @param int the context_id
     * @param TransactionContext the RMI (Serializable) Transaction Context 
     */
    public JTATransactionServiceContext(int context_id, TransactionContext txCtx) {
	super(context_id, null);
	this.txCtx = txCtx;
    }

    /**
     * get the transaction context
     * @return TransactionContext the Transaction context
     */
    public TransactionContext getTransactionContext() {
	return txCtx;
    }  

}
