package org.objectweb.jndi;

import java.util.Enumeration;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.Name;
import javax.naming.NamingException;
import javax.naming.RefAddr;
import javax.naming.Reference;
import javax.naming.spi.ObjectFactory;

import org.enhydra.jdbc.pool.StandardXAPoolDataSource;
import org.enhydra.jdbc.standard.StandardXADataSource;

import org.objectweb.jotm.Jotm;
import org.objectweb.transaction.jta.TMService;

/**
 * @author jmesnil
 *
 */
public class DataSourceFactory implements ObjectFactory {

    public TMService jotm = null;

    /**
    * @see javax.naming.spi.ObjectFactory#getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)
    */
    public Object getObjectInstance(Object obj, Name n, Context nameCtx, Hashtable environment) throws Exception {
        StandardXAPoolDataSource xads = null;

        try {
            if (jotm == null) {
                try {
                    jotm = new Jotm(true, false);
                } catch (NamingException e) {}
            }

            Reference ref = (Reference) obj;
            StandardXADataSource ds = new StandardXADataSource();
            xads = new StandardXAPoolDataSource(ds);

            Enumeration addrs = ref.getAll();
            while (addrs.hasMoreElements()) {
                RefAddr addr = (RefAddr) addrs.nextElement();
                String name = addr.getType();
                String value = (String) addr.getContent();
                if (name.equals("driverClassName")) {
                    ds.setDriverName(value);
                } else if (name.equals("url")) {
                    ds.setUrl(value);
                } else if (name.equals("username")) {
                    xads.user = value;
                    ds.setUser(value);
                } else if (name.equals("password")) {
                    ds.setPassword(value);
                    xads.password = value;
                }
            }
            xads.setTransactionManager(jotm.getTransactionManager());
            xads.setDataSource(ds);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return xads;
    }
}
